import sys
sys.path.append('d:/PoeTrader')
from PySide6.QtWidgets import QApplication, QMainWindow, QVBoxLayout, QTabWidget
from PySide6 import QtCore
from trade_widget import TradeCollection
from src.data import Message
from src import config


class MainWindow(QMainWindow):
    def __init__(self):
        super().__init__()

        config.read_config(r'config.yaml')
        self.button_is_checked = True
        self.setWindowFlag(QtCore.Qt.FramelessWindowHint)
        # self.setAttribute(QtCore.Qt.WA_TranslucentBackground)

        text = '2021/03/08 23:24:52 17931875 bb3 [INFO Client 1492] @From Sinusal: Hi, I would like to buy your level 21 23% Vaal Impurity of Lightning ' \
            'listed for 18 chaos in Ritual (stash tab "$"; position: left 22, top 5)'
        message = Message.from_text(text)
        self.setWindowTitle("My App")

        self.main_widget = QTabWidget()

        # self.main_layout = QVBoxLayout()
        if message:
            trade_collection = TradeCollection(message)
            trade_collection.add_trade(message)
            self.main_widget.addTab(trade_collection, 'Hello')
            self.main_widget.addTab(TradeCollection(message), 'Hello2')
            # self.main_layout.addWidget(TradeWidget(message))

        self.setCentralWidget(self.main_widget)


if __name__ == "__main__":
    pass
    app = QApplication(sys.argv)
    app.setStyle('Material')

    window = MainWindow()
    window.show()

    app.exec()
